#include <bits/stdc++.h>

using namespace std;

void quicksort(int bal, int jobb, int *t)
{
    int k;
    if(jobb-bal<2)
        return;
    else
    {
        k=bal;
        for(int i=bal+1;i<jobb;i++)
        {
            if(t[bal]>t[i])
            {
                k++;
                swap(t[k],t[i]);
            }
        }
        if(k!=bal)
            swap(t[bal],t[k]);
        quicksort(bal,k,t);
        quicksort(k+1,jobb,t);
    }
}

int main()
{
    int n,q,t,in,k,l;
    cin>>n>>q;
    int a[n],b[q],valasz[q];
    for(int i=0;i<n;i++)
        cin>>a[i];
    for(int i=0;i<q;i++)
        cin>>b[i];
    quicksort(0,n,a);
    k=n/2;
    int median=a[k];
    for(int i=0;i<q;i++)
    {
        t=0;
        for(int j=0;j<n;j++)
            if(a[j]==b[i])
            {
                t=1;
                break;
            }
        if(t==0)
        {
            int A[n+1];
            l=n+1;
            for(int j=0;j<n;j++)
                A[j]=a[j];
            A[n]=b[i];
            quicksort(0,n+1,A);
            for(int j=0;j<n+1;j++)
                if(A[j]==b[i])
                    in=j+1;//ez jo
            int med=A[(n+1)/2];//ez is jo
            if(med==b[i])
                valasz[i]=1;
            if(med!=b[i])
            {
                if(in>(l)/2)
                    valasz[i]=2*in-(n+3);
                else
                    valasz[i]=abs(2*in-n-2);
            }
        }
        else if(t==1&&median!=b[i])
        {
            for(int j=0;j<n;j++)
                if(a[j]==b[i])
                    in=j+1;
            if(in>n/2)
                valasz[i]=2*in-(n+2);
            else if(in<n/2)
                valasz[i]=abs(2*in -(n+1));
        }
        else if(t==1&&median==b[i])
            valasz[i]=0;
    }
    for(int i=0;i<q;i++)
        cout<<valasz[i]<<endl;
    return 0;
}